GET
/v1/organizations/:organizationId/segments/
Copy to clipboard
Get list of segments
Required Permission: base.organization.segment.list
Get list of segments
Request
Add parameter in header
authorization
Example:
Authorization: Bearer <token>
organizationId
string
required
Responses
200 Response
application/json
status
boolean
required
data
object
required
organizationId
string
required
children
array [object]
required
id
number
required
name
string
required
icon
string
optional
color
any
optional
children
array [object]
required
{
"status": true,
"data": {
"organizationId": "string",
"children": [
{
"id": 0,
"name": "string",
"icon": "string",
"color": "string",
"children": [
{}
]
}
]
}
}
401 Response
application/json
status
boolean
optional
error
object
optional
code
number
optional
message
string
optional
{
"status": false,
"error": {
"code": 4002,
"message": "No auth token"
}
}
404 Response
application/json
status
boolean
optional
error
object
optional
code
number
optional
message
string
optional
{
"status": false,
"error": {
"code": 3001,
"message": "Entity not found"
}
}